主题 : mini2440的QtE-4.6.3源代码包 复制链接 | 浏览器收藏 | 打印
自由,自强,共享,共创。
级别: 论坛版主
UID: 12573
精华: 27
发帖: 8881
金钱: 46490 两
威望: 9298 点
贡献值: 27 点
综合积分: 18302 分
注册时间: 2010-01-09
最后登录: 2016-03-18
楼主  发表于: 2010-07-28 19:28

 mini2440的QtE-4.6.3源代码包

管理提醒: 本帖被 qq2440 执行加亮操作(2010-08-05)
以下信息已经比较陈旧,现有更新的QtE-4.6.3 for mini2440可用使用了,详细说明及下载见这里:
http://www.arm9home.net/read.php?tid-2765.html

=================      以下为比较陈旧的信息      ==================
如果你已经有了mini6410,那么,其实你就已经有了mini2440上用的QtE-4.6.1源代码包,其实它们是完全一样的,只要使用不同的编译器就可以了。
最新的mini2440编译器下载地址:
http://arm9download.cncncn.com/mini2440/arm-linux-gcc-4.4.3-20100728.tar.gz
编译器安装:
在根目录下解压即可,将会安装到/opt/FriendlyARM/toolschain/4.4.3路径下,把此路径加入环境变量即可,新的编译器支持软浮点,默认为armv4 EABI指令集

QtE-4.6.1源代码包下载地址:
http://arm9download.cncncn.com/mini6410/linux/arm-qte-4.6.1-20100615.tar.gz
解压后,会有build脚本和mktarget脚本,分别用来编译和制作目标文件系统程序包

映像文件:
http://arm9download.cncncn.com/mini2440/mini2440-linux-images-20100729.zip
可以直接烧写到开发板中运行,今后将只提供128M以上的版本,不再提供64M版本,因为双系统太大了(80M以上)

相关文档及光盘文件等将会在最近几天更新
[ 此帖被mindee在2010-08-23 15:09重新编辑 ]
新手如何向我们反馈有效的信息,以便解决问题,见此贴:
http://www.arm9home.net/read.php?tid-14431.html

[注]: 此处签名链接仅为指引方向,而非解答问题本身.
级别: 骑士
UID: 9169
精华: 0
发帖: 249
金钱: 1330 两
威望: 299 点
贡献值: 0 点
综合积分: 498 分
注册时间: 2009-09-19
最后登录: 2017-08-14
1楼  发表于: 2010-07-29 08:58
楼主辛苦了,期待您的文档和光盘!
级别: 侠客
UID: 21258
精华: 1
发帖: 119
金钱: 650 两
威望: 130 点
贡献值: 1 点
综合积分: 258 分
注册时间: 2010-05-13
最后登录: 2015-11-23
2楼  发表于: 2010-07-29 11:23
好东西,mini2440的QtE-4.6.1源代码包 ,留名
级别: 新手上路
UID: 19338
精华: 0
发帖: 18
金钱: 90 两
威望: 18 点
贡献值: 0 点
综合积分: 36 分
注册时间: 2010-04-18
最后登录: 2011-06-21
3楼  发表于: 2010-07-29 12:23
期待文档早日出炉,热切期盼中
级别: 新手上路
UID: 19338
精华: 0
发帖: 18
金钱: 90 两
威望: 18 点
贡献值: 0 点
综合积分: 36 分
注册时间: 2010-04-18
最后登录: 2011-06-21
4楼  发表于: 2010-07-29 12:45
按照这个编译器编译出来的库文件,放到开发板上,运行时还是会出现段错误,是不是编译器的版本换了,/lib下的库也要全部更换呀,。。。。。。。。。。。。。。不解,希望能做出一个能运行的根文件系统映像,让兄弟们体验一下QT4的神奇。
自由,自强,共享,共创。
级别: 论坛版主
UID: 12573
精华: 27
发帖: 8881
金钱: 46490 两
威望: 9298 点
贡献值: 27 点
综合积分: 18302 分
注册时间: 2010-01-09
最后登录: 2016-03-18
5楼  发表于: 2010-07-29 13:26
一定要使用新的编译器才可以。
新手如何向我们反馈有效的信息,以便解决问题,见此贴:
http://www.arm9home.net/read.php?tid-14431.html

[注]: 此处签名链接仅为指引方向,而非解答问题本身.
自由,自强,共享,共创。
级别: 论坛版主
UID: 12573
精华: 27
发帖: 8881
金钱: 46490 两
威望: 9298 点
贡献值: 27 点
综合积分: 18302 分
注册时间: 2010-01-09
最后登录: 2016-03-18
6楼  发表于: 2010-07-29 14:16
引用第4楼haiming16168于2010-07-29 12:45发表的  :
按照这个编译器编译出来的库文件,放到开发板上,运行时还是会出现段错误,是不是编译器的版本换了,/lib下的库也要全部更换呀,。。。。。。。。。。。。。。不解,希望能做出一个能运行的根文件系统映像,让兄弟们体验一下QT4的神奇。

已经更新了帖子,把烧写文件放上了。
新手如何向我们反馈有效的信息,以便解决问题,见此贴:
http://www.arm9home.net/read.php?tid-14431.html

[注]: 此处签名链接仅为指引方向,而非解答问题本身.
级别: 侠客
UID: 10318
精华: 0
发帖: 63
金钱: 320 两
威望: 67 点
贡献值: 0 点
综合积分: 126 分
注册时间: 2009-10-31
最后登录: 2012-03-18
7楼  发表于: 2010-07-29 14:51
太好了 顶楼主
级别: 新手上路
UID: 19338
精华: 0
发帖: 18
金钱: 90 两
威望: 18 点
贡献值: 0 点
综合积分: 36 分
注册时间: 2010-04-18
最后登录: 2011-06-21
8楼  发表于: 2010-07-29 21:19
一定要使用新的编译器才可以。。
[/quote]
我确实是用新的编译器编译的,把编译好的库和放到开发板上,并设置了环境变量,运行里面的实例程序,结构出现段错误,热切期盼相关文档早日现身,楼主辛苦了,谢谢!
级别: 新手上路
UID: 19338
精华: 0
发帖: 18
金钱: 90 两
威望: 18 点
贡献值: 0 点
综合积分: 36 分
注册时间: 2010-04-18
最后登录: 2011-06-21
9楼  发表于: 2010-07-29 21:20
引用第5楼mindee于2010-07-29 13:26发表的  :
一定要使用新的编译器才可以。

我确实是用新的编译器编译的,把编译好的库和放到开发板上,并设置了环境变量,运行里面的实例程序,结构出现段错误,热切期盼相关文档早日现身,楼主辛苦了,谢谢!